include( ../../common.pri )
include( ../../app.pri )

QT       += core gui network

QMAKE_LFLAGS_RELEASE += -static -static-libgcc -static-libstdc++

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = Legacy
TEMPLATE = app

CXXFLAGS += -O2 -fno-stack-limit
CONFIG += resources_big

SOURCES += \
    main.cpp \
    models/downloader.cpp \
    models/filesystem.cpp \
    models/lotrodatmanager.cpp \
    models/patchdownloader.cpp \
    widgets/helpwidget.cpp \
    widgets/mainwindow.cpp \
    widgets/menuentry.cpp \
    widgets/rusificationwidget.cpp \
    widgets/settingswidget.cpp \
    widgets/statuswidget.cpp \
    widgets/weeklycodewidget.cpp \
    widgets/newslistwidget.cpp \
    widgets/newspiece.cpp \
    widgets/statusflagwidget.cpp \
    widgets/serverstatuswidget.cpp \
    models/selfupdater.cpp \
    widgets/eventslistwidget.cpp \
    widgets/chooseversiondialog.cpp \
    widgets/tooltiplabel.cpp

HEADERS += \
    models/downloader.h \
    models/filesystem.h \
    models/lotrodatmanager.h \
    models/patchdownloader.h \
    widgets/helpwidget.h \
    widgets/mainwindow.h \
    widgets/menuentry.h \
    widgets/rusificationwidget.h \
    widgets/settingswidget.h \
    widgets/statuswidget.h \
    widgets/weeklycodewidget.h \
    widgets/newslistwidget.h \
    widgets/newspiece.h \
    widgets/statusflagwidget.h \
    widgets/serverstatuswidget.h \
    models/selfupdater.h \
    widgets/eventslistwidget.h \
    widgets/chooseversiondialog.h \
    widgets/tooltiplabel.h

FORMS += \
    widgets/helpwidget.ui \
    widgets/mainwindow.ui \
    widgets/rusificationwidget.ui \
    widgets/settingswidget.ui \
    widgets/statuswidget.ui \
    widgets/newspiece.ui \
    widgets/serverstatuswidget.ui \
    widgets/chooseversiondialog.ui \
    widgets/tooltiplabel.ui

win32:RC_ICONS = $${PROJECT_ROOT_PATH}/resources/appicon.ico

INCLUDEPATH += $$PWD/src
INCLUDEPATH += $$PWD/gui

LIBS += -llibLotroDat_static
LIBS += -llibyaml-cpp
LIBS += -llibzlibstatic


CONFIG(debug, debug|release) {
        RESOURCES += \
                $${PROJECT_ROOT_PATH}/resources/backgrounds.qrc \
                $${PROJECT_ROOT_PATH}/resources/common.qrc
} else {
        include(../../build_res.pri)
}
